%define name libgalago
%define version 0.5.2
%define release %mkrel 3
%define major 3
%define libname %mklibname galago %major

Summary: Base library of Galago 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.galago-project.org/files/releases/source/libgalago/%{name}-%{version}.tar.xz
License: LGPL
Group: System/Libraries
Url: http://www.galago-project.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: dbus-glib-devel
BuildRequires: gtk-doc


%description
This is the base library of the Galago desktop presence framework.

%package -n %libname
Group: System/Libraries
Summary: Base library of Galago - shared library
Requires: %name >= %version
Provides: galago%major = %version-%release

%description -n %libname
This is the base library of the Galago desktop presence framework.

%package -n %libname-devel
Group: Development/C
Summary: Base library of Galago - headers
Requires: %libname = %version
Provides: %name-devel = %version-%release
Obsoletes: libgalago-devel
Provides: libgalago-devel = %version-%release

%description -n %libname-devel
This is the base library of the Galago desktop presence framework.

%prep
%setup -q

%build

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std MKINSTALLDIRS=`pwd`/mkinstalldirs
rm -rf %buildroot%_datadir/autopackage
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig


%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS NEWS

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root)
%doc ChangeLog 
%_libdir/lib*.so
%attr(644,root,root) %_libdir/lib*a
%_libdir/pkgconfig/libgalago.pc
%_includedir/%name/
%_datadir/gtk-doc/html/libgalago


%changelog
* Thu Sep 30 2010 Texstar <texstar at gmail.com> 0.5.2-3pclos2010
- rebuild

* Thu Jan 21 2010 Texstar <texstar at gmail.com> 0.5.2-2pclos2010
- update for 2010 release

